package com.emato.ich.entity;

import org.jetbrains.annotations.NotNull;

/**
 * Message
 */
public class Message {

    private int messageId;

    private String msgId;

    private String clientId;

    private String cmd;

    private String datetime;

    private int port;

    /**
     * 场景
     * order_prepare_failed  预下单失败
     * order_prepare
     */
    private String scene;

    private int section;

    /**
     * 失败原因, 成功为null
     */
    private String cause;

    private String remark;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getCmd() {
        return cmd;
    }

    public void setCmd(String cmd) {
        this.cmd = cmd;
    }

    public String getDatetime() {
        return datetime;
    }

    public void setDatetime(String datetime) {
        this.datetime = datetime;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    public int getSection() {
        return section;
    }

    public void setSection(int section) {
        this.section = section;
    }

    public int getMessageId() {
        return messageId;
    }

    public void setMessageId(int messageId) {
        this.messageId = messageId;
    }

    public String getCause() {
        return cause;
    }

    public void setCause(String cause) {
        this.cause = cause;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    @NotNull
    @Override
    public String toString() {
        return "Message{" +
                "messageId=" + messageId +
                ", msgId='" + msgId + '\'' +
                ", clientId='" + clientId + '\'' +
                ", cmd='" + cmd + '\'' +
                ", datetime='" + datetime + '\'' +
                ", port=" + port +
                ", scene='" + scene + '\'' +
                ", section=" + section +
                ", cause='" + cause + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
